Bug 1761596 (CVE-2019-2945) - CVE-2019-2945 OpenJDK: Missing restrictions on use of custom SocketImpl (Networking, 8218573)
Summary: CVE-2019-2945 OpenJDK: Missing restrictions on use of custom SocketImpl (Netw...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2945
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1754089 1754096 1760369 1760981 1760982 1776413 1777848 1777849 1777850 1777851 1777852 1778949 1754086 1754087 1754088 1754094 1754095 1754097 1754098 1760368 1760370 1776411 1776412
Blocks: 1753424
TreeView+ depends on / blocked
 
Reported: 2019-10-14 20:08 UTC by Tomas Hoger
Modified: 2019-12-05 15:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-03 01:05:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3141 None None None 2019-10-17 18:57:21 UTC
Red Hat Product Errata RHBA-2019:3148 None None None 2019-10-18 09:02:47 UTC
Red Hat Product Errata RHBA-2019:3186 None None None 2019-10-23 19:17:52 UTC
Red Hat Product Errata RHBA-2019:3188 None None None 2019-10-23 08:44:08 UTC
Red Hat Product Errata RHBA-2019:3739 None None None 2019-11-06 13:32:52 UTC
Red Hat Product Errata RHBA-2019:3741 None None None 2019-11-06 14:23:06 UTC
Red Hat Product Errata RHBA-2019:3823 None None None 2019-11-11 12:52:07 UTC
Red Hat Product Errata RHBA-2019:3830 None None None 2019-11-12 12:37:35 UTC
Red Hat Product Errata RHBA-2019:3831 None None None 2019-11-12 12:45:50 UTC
Red Hat Product Errata RHBA-2019:3884 None None None 2019-11-14 13:30:07 UTC
Red Hat Product Errata RHBA-2019:3885 None None None 2019-11-14 13:26:19 UTC
Red Hat Product Errata RHBA-2019:3937 None None None 2019-11-20 21:05:28 UTC
Red Hat Product Errata RHSA-2019:3127 None None None 2019-10-16 14:45:53 UTC
Red Hat Product Errata RHSA-2019:3128 None None None 2019-10-16 14:19:09 UTC
Red Hat Product Errata RHSA-2019:3134 None None None 2019-10-17 09:58:02 UTC
Red Hat Product Errata RHSA-2019:3135 None None None 2019-10-17 09:59:20 UTC
Red Hat Product Errata RHSA-2019:3136 None None None 2019-10-17 14:27:37 UTC
Red Hat Product Errata RHSA-2019:3157 None None None 2019-10-21 15:11:22 UTC
Red Hat Product Errata RHSA-2019:3158 None None None 2019-10-21 15:00:51 UTC
Red Hat Product Errata RHSA-2019:4109 None None None 2019-12-05 15:21:43 UTC
Red Hat Product Errata RHSA-2019:4110 None None None 2019-12-05 15:21:08 UTC

Description Tomas Hoger 2019-10-14 20:08:29 UTC
It was discovered that Socket and ServerSocket classes in the Networking component in OpenJDK did not restrict creation of subclasses with custom SocketImpl.  A specially crafted Java application or applet could use this flaw to bypass certain Java sandbox restriction.

The fix for this issue introduces new NetPermission named setSocketImpl which controls the ability to use custom SocketImpl.

Comment 1 Tomas Hoger 2019-10-15 21:14:08 UTC
Public now via Oracle CPU October 2019:

https://www.oracle.com/security-alerts/cpuoct2019.html#AppendixJAVA

Fixed in Oracle Java SE 13.0.1, 11.0.5, 8u231, and 7u241.

Comment 2 errata-xmlrpc 2019-10-16 14:19:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3128 https://access.redhat.com/errata/RHSA-2019:3128

Comment 3 errata-xmlrpc 2019-10-16 14:45:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3127 https://access.redhat.com/errata/RHSA-2019:3127

Comment 4 errata-xmlrpc 2019-10-17 09:58:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3134 https://access.redhat.com/errata/RHSA-2019:3134

Comment 5 errata-xmlrpc 2019-10-17 09:59:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3135 https://access.redhat.com/errata/RHSA-2019:3135

Comment 8 errata-xmlrpc 2019-10-17 14:27:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3136 https://access.redhat.com/errata/RHSA-2019:3136

Comment 9 errata-xmlrpc 2019-10-21 15:00:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:3158 https://access.redhat.com/errata/RHSA-2019:3158

Comment 10 errata-xmlrpc 2019-10-21 15:11:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:3157 https://access.redhat.com/errata/RHSA-2019:3157

Comment 12 Product Security DevOps Team 2019-12-03 01:05:20 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2945

Comment 13 errata-xmlrpc 2019-12-05 15:21:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:4110 https://access.redhat.com/errata/RHSA-2019:4110

Comment 14 errata-xmlrpc 2019-12-05 15:21:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:4109 https://access.redhat.com/errata/RHSA-2019:4109


Note You need to log in before you can comment on or make changes to this bug.